Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_CodecFactory Class Reference

Implementation of the IOP::CodecFactory interface. More...

`#include <CodecFactory.h>`

Inheritance diagram for TAO_CodecFactory:

[legend]
Collaboration diagram for TAO_CodecFactory:

[legend]
List of all members.

## Public Methods
| TAO_CodecFactory (TAO_ORB_Core *orb_core)
| Constructor. More...
virtual IOP::Codec_ptr | create_codec (const IOP::Encoding &enc ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, IOP::CodecFactory::UnknownEncoding)
| Create a Coder/Decoder for the given type of encoding. More...
## Private Methods
| TAO_CodecFactory (const TAO_CodecFactory &)
| Prevent copying through the copy constructor and the assignment operator. More...
void | operator= (const TAO_CodecFactory &)
## Private Attributes
TAO_ORB_Core * | orb_core_
| Some Codec implementations may need access to the ORB Core with which they are associated. More...

## Detailed Description

Implementation of the IOP::CodecFactory interface.

This class can be used to create Codec (coder/decoder) of a given type, such as a CDR encapsulation Codec.

## Constructor & Destructor Documentation

TAO_CodecFactory::TAO_CodecFactory | ( | TAO_ORB_Core * | orb_core | ) |

| Constructor.

TAO_CodecFactory::TAO_CodecFactory | ( | const TAO_CodecFactory & |  | ) | `[private]`

| Prevent copying through the copy constructor and the assignment operator.

## Member Function Documentation

IOP::Codec_ptr TAO_CodecFactory::create_codec | ( | const IOP::Encoding &enc | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, IOP::CodecFactory::UnknownEncoding)`[virtual]`

| Create a Coder/Decoder for the given type of encoding.

void TAO_CodecFactory::operator= | ( | const TAO_CodecFactory & |  | ) | `[private]`

## Member Data Documentation

TAO_ORB_Core* TAO_CodecFactory::orb_core_`[private]`

| Some Codec implementations may need access to the ORB Core with which they are associated.

The documentation for this class was generated from the following files:

- CodecFactory.h
- CodecFactory.cpp